### Method

# Soup HSTSEnforcer has_valid_policy

#### Declaration [src]

    gboolean
    soup_hsts_enforcer_has_valid_policy (
      SoupHSTSEnforcer* hsts_enforcer,
      const char* domain
    )

#### Description [src]

Gets whether `hsts_enforcer` has a currently valid policy for `domain`.

#### Parameters

`domain`

  Type: `const char*`

  A domain.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if access to `domain` should happen over HTTPS, false otherwise.